Moin,
bei unseren Blechen wurde bei diversen Dateien das Material einfach ausgewählt.
Ich möchte jetzt per ILogic das ganze so ändern, dass beim Material: "By sheet metal rule" steht und er sich so das Material aus der Blechregel liest. Ist das möglich?
Gelöst! Gehe zur Lösung
Moin,
bei unseren Blechen wurde bei diversen Dateien das Material einfach ausgewählt.
Ich möchte jetzt per ILogic das ganze so ändern, dass beim Material: "By sheet metal rule" steht und er sich so das Material aus der Blechregel liest. Ist das möglich?
Gelöst! Gehe zur Lösung
Gelöst von Peter.C.Schulz. Gehe zur Lösung
Hallo @Jan.Lehmann_TRG,
ein Snippet mit dem man dies erreichen könnte gibt es nicht. iLogic bietet hier Befehle zum setzen des kompletten Blechstils.
Aber mithilfe der Inventor API könnte man dies erreichen. Wenn man in die API-Hilfe schaut (Pfeil neben dem Fragezeichen > Hilfe > Programmierung/API-Hilfe), findet man zum Objekt SheetMetalComponentDefinition die Eigenschaft UseSheetMetalStyleMaterial. Ist dieser Schalter auf "Wahr" gestellt wird das Material aus der Blechregel benutzt.
Ein Beispiel-Code könnte so aussehen:
Dim oDoc As Document = ThisDoc.Document ' reference to the document If oDoc.SubType="{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the sheet metal rule material End If
Ich hoffe dies hilft weiter.
Grüße,
Peter
Hallo @Jan.Lehmann_TRG,
ein Snippet mit dem man dies erreichen könnte gibt es nicht. iLogic bietet hier Befehle zum setzen des kompletten Blechstils.
Aber mithilfe der Inventor API könnte man dies erreichen. Wenn man in die API-Hilfe schaut (Pfeil neben dem Fragezeichen > Hilfe > Programmierung/API-Hilfe), findet man zum Objekt SheetMetalComponentDefinition die Eigenschaft UseSheetMetalStyleMaterial. Ist dieser Schalter auf "Wahr" gestellt wird das Material aus der Blechregel benutzt.
Ein Beispiel-Code könnte so aussehen:
Dim oDoc As Document = ThisDoc.Document ' reference to the document If oDoc.SubType="{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the sheet metal rule material End If
Ich hoffe dies hilft weiter.
Grüße,
Peter
Vielen Dank.
Ich habe das Ganze ein bisschen erweitert:
Dim oDoc As Document = ThisDoc.Document ' reference to the document If oDoc.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the default-material from Sheet Metal Rule oSheetMetalCompDef.UseSheetMetalStyleThickness = True ' set the material to use the default-thickness from Sheet Metal Rule oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = True ' set the material to use the default-Unfold-rule from Sheet Metal Rule End If
Vielen Dank.
Ich habe das Ganze ein bisschen erweitert:
Dim oDoc As Document = ThisDoc.Document ' reference to the document If oDoc.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the default-material from Sheet Metal Rule oSheetMetalCompDef.UseSheetMetalStyleThickness = True ' set the material to use the default-thickness from Sheet Metal Rule oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = True ' set the material to use the default-Unfold-rule from Sheet Metal Rule End If
Moin, habe das Ganze noch schnell (zwar unsauber - aber es läuft) erweitert:
Dim oDoc As Document = ThisDoc.Document ' reference to the document
If oDoc.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part
Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition
If oSheetMetalCompDef.UseSheetMetalStyleMaterial = False Then
question = MessageBox.Show("Das Material entspricht nicht der SheetMetalRule. Soll das Material durch den Wert aus der SheetMetal Rule ersetzt werden? -- The material does not conform to the SheetMetalRule. Should the material be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the default-material from Sheet Metal Rule
End If
End If
If oSheetMetalCompDef.UseSheetMetalStyleThickness = False Then
question = MessageBox.Show("Die Materialstärke entspricht nicht der SheetMetalRule. Soll die Stärke des Materials durch den Wert aus der SheetMetal Rule ersetzt werden? -- The material thickness does not correspond to the SheetMetalRule. Should the thickness of the material be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleThickness = True ' set the material to use the default-thickness from Sheet Metal Rule
End If
End If
If oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = False Then
question = MessageBox.Show("Die Unfold rule(K-factor)entspricht nicht der SheetMetalRule. Soll die Unfold rule durch den Wert aus der SheetMetal Rule ersetzt werden? -- The Unfold rule (K-factor) does not correspond to the SheetMetalRule. Should the Unfold rule be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = True ' set the material to use the default-Unfold-rule from Sheet Metal Rule
End If
End If
End If
Moin, habe das Ganze noch schnell (zwar unsauber - aber es läuft) erweitert:
Dim oDoc As Document = ThisDoc.Document ' reference to the document
If oDoc.SubType = "{9C464203-9BAE-11D3-8BAD-0060B0CE6BB4}" Then 'sheet metal part
Dim oSheetMetalCompDef As SheetMetalComponentDefinition = oDoc.ComponentDefinition ' reference to the sheet metal component definition
If oSheetMetalCompDef.UseSheetMetalStyleMaterial = False Then
question = MessageBox.Show("Das Material entspricht nicht der SheetMetalRule. Soll das Material durch den Wert aus der SheetMetal Rule ersetzt werden? -- The material does not conform to the SheetMetalRule. Should the material be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleMaterial = True ' set the material to use the default-material from Sheet Metal Rule
End If
End If
If oSheetMetalCompDef.UseSheetMetalStyleThickness = False Then
question = MessageBox.Show("Die Materialstärke entspricht nicht der SheetMetalRule. Soll die Stärke des Materials durch den Wert aus der SheetMetal Rule ersetzt werden? -- The material thickness does not correspond to the SheetMetalRule. Should the thickness of the material be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleThickness = True ' set the material to use the default-thickness from Sheet Metal Rule
End If
End If
If oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = False Then
question = MessageBox.Show("Die Unfold rule(K-factor)entspricht nicht der SheetMetalRule. Soll die Unfold rule durch den Wert aus der SheetMetal Rule ersetzt werden? -- The Unfold rule (K-factor) does not correspond to the SheetMetalRule. Should the Unfold rule be replaced by the value from the SheetMetal Rule?", "iLogic Question JLE",MessageBoxButtons.YesNo,MessageBoxIcon.Question)
If question = vbYes Then
oSheetMetalCompDef.UseSheetMetalStyleUnfoldMethod = True ' set the material to use the default-Unfold-rule from Sheet Metal Rule
End If
End If
End If
Sie finden nicht, was Sie suchen? Fragen Sie die Community oder teilen Sie Ihr Wissen mit anderen.